smbtar
1

# smbtar

skrypt powłoki do archiwizowania współudziałów SMB/CIFS bezpośrednio na napędy taśmowe UNIX

## SYNOPSIS

          smbtar
          -s serwer
          -p haslo
          -x usluga
          -X
          -d katalog
          -u uzytkownik
          -t tasma
          -b rozmiarbloku
          -N nazwapliku
          -i
          -r
          -l poziom logu
          -v
          nazwyplikow

## OPIS

Ten program jest częścią pakietu Samba.

`smbtar` jest bardzo małym skryptem powłoki bazującym na `smbclient(1)` który zrzuca współudziały SMB na taśmę.

## OPCJE

-s serwer

  Serwer SMB/CIFS na którym znajują się współudziały.

-x usluga

  Nazwa współudziału (na serwerze) do podłączenia. Domyślnie jest to "backup".

-X

  Tryb wyłączności. Wyłączaj (exclude) nazwy plików... z tworzenia lub przywracania (restore) tar.

-d katalog

  Zmien początkowy `katalog` przez przywracaniem/archiwizowaniem plików.

-v

  Tryb opisowy (verbose mode)

-p haslo

  Hasło do użycia, aby uzyskać dostęp do współudziału. Domyślnie: żadne

-u uzytkownik

  id użytkownika jako którego należy się podłączyć. Domyślnie: nazwa logowania UNIX

-t tasma

  Urządzenie taśmowe. Może być regularnym plikiem lub urządzeniem taśmowym. Domyślnie: zmienna środowiskowa `$TAPE`; jeśli nie jest ustawiona, plik o nazwie `tar.out`.

-b rozmiarbloku

  Współczynnik blokowy. Domyślnie ustawiony na 20. Zobacz `tar(1)` po obszerniejsze wyjaśnienie.

-N nazwapliku

  Archiwizuj tylko pliki nowsze niż nazwapliku. Mogłoby być użyte (na przykład) na pliku logu, aby zaimplementować przyrostowe backup'y.

-i

  Tryb przyrostowy; pliki tar są archiwizowane tylko, jeśli mają ustawiony bit archive. Bit ten jest zerowany po każdym czytaniu pliku.

-r

  Przywróć (restore). Pliki są przywracane z pliku tar do współudziału.

-l poziom logu

  Poziom (debugowania) logu. Odpowiada fladze `-d` w `smbclient(1)` .

## ZMIENNE ŚRODOWISKOWE

Zmienna `$TAPE` określa domyślne urządzenie taśmowe do którego ma być prowadzony zapis. Może być unieważniona za pomocą opcji `-t`.

## BŁĘDY

Skrypt `smbtar` ma inne opcje niż zwyczajny tar i tar wywoływany z `smbclient`.

## OSTRZEŻENIA

W miejscach które są bardziej ostrożne w sprawach bezpieczeństwa, sposób w jaki skrypt obsługuje hasła PC, może się nie podobać. Backup i przywracanie działają na całych współudziałach i powinny działać na listach plików. `smbtar` działa najlepiej z GNU tar i może nie pracować dobrze z innymi wersjami.

## DIAGNOSTYKA

Zobacz sekcję DIAGNOSTYKA polecenia `smbclient(1)` .

## WERSJA

Ta strona podręcznika jest poprawna dla wersji 2.2 pakietu Samba.

## ZOBACZ TEŻ

`smbd(8)`, `smbclient(1)`, smb.conf(5),

## AUTOR

Pierwotnie, Samba i związane z nią oprogramowanie były stworzone przez Andrew Tridgella. Samba jest teraz rozwijana przez Zespół Samba jako projekt Open Source podobnie jak jądro Linux.

Ricky Poulten napisał rozszerzenie tar i tą stronę podręcznika. Skrypt `smbtar` był w znacznej części przepisany i ulepszony przez Martina Kraemera. Wielkie dzięki każdemu kto zasugerował rozszerzenia, ulepszenia, poprawki błędów, etc. Kody źrodłowe tych stron zostały przekonwertowane do formatu YODL (kolejny świetny kawałek oprogramowania Open Source dostępny na ftp://ftp.icce.rug.nl/pub/unix/) i zaktualizowane do wydania 2.0 samby przez Jeremy Allisona. Konwersja do DocBook dla Samba 2.2 została wykonana przez Geralda Cartera. Tłumaczenie na język polski i konwersję polskiej wersji do DocBook wykonał Rafał Szcześniak.